%define kde 1
Name: wordtrans
Group: Applications/Productivity
URL: http://wordtrans.sourceforge.net
Summary: Multi Language Word Translator for Linux
Version: 1.1pre8
Release: 10
Source: http://wordtrans.sourceforge.net/%{name}_%{version}.tar.gz
Source1: ger-eng.txt
Source2: http://www.aracnet.com/~tyler/IDP/files/French.txt
Source3: http://www.aracnet.com/~tyler/IDP/files/Italian.txt
Source4: http://www.aracnet.com/~tyler/IDP/files/Latin.txt
Source5: http://www.aracnet.com/~tyler/IDP/files/Portuguese.txt
Source6: http://www.aracnet.com/~tyler/IDP/files/Spanish.txt
Patch: wordtrans_1.1pre8-rh.patch
Patch1: wordtrans_1.1pre8-gcc3.patch
Patch2: wordtrans-1.1pre8-kde3.patch
Patch3: wordtrans-1.1pre8-defaults.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPrereq: recode
%if %{kde}
BuildPrereq: kdelibs-devel >= 3.0.0
%endif

%description
Wordtrans is a front-end for several dictionaries. It supports
some dictionaries in plain text, dict servers and Babylon
Translator's dictionaries.

%package kde
Summary: KDE front-end for wordtrans
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description kde
Wordtrans is a front-end for several dictionaries. It supports
some dictionaries in plain text, dict servers and Babylon
Translator's dictionaries.

This package contains a KDE front-end for wordtrans.

%package qt
Summary: Qt front-end for wordtrans
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description qt
Wordtrans is a front-end for several dictionaries. It supports
some dictionaries in plain text, dict servers and Babylon
Translator's dictionaries.

This package contains a Qt front-end for wordtrans.

%package web
Summary: Web front-end for wordtrans
Group: Applications/Productivity
Requires: %{name} = %{version}-%{release}

%description web
Wordtrans is a front-end for several dictionaries. It supports
some dictionaries in plain text, dict servers and Babylon
Translator's dictionaries.

This package contains a Web front-end for wordtrans.

%prep
%setup -q -n %{name}-%{version}
%patch -p1 -b .rh
%patch1 -p1 -b .gcc3
%patch2 -p1 -b .kde3
%patch3 -p1 -b .def
perl -pi -e "s,-lqt,-lqt-mt,g" `find . -name Makefile`

%build
QTDIR="" && source /etc/profile.d/qt.sh
make QT_INC="-I$QTDIR/include" QT_LIB="-L$QTDIR/lib" \
     MOC="$QTDIR/bin/moc" CFLAGS="$RPM_OPT_FLAGS" all

%if %{kde}
make QT_INC="-I$QTDIR/include" QT_LIB="-L$QTDIR/lib" \
     MOC="$QTDIR/bin/moc" CFLAGS="$RPM_OPT_FLAGS" all_kde
%endif

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%if %{kde}
make DESTDIR=$RPM_BUILD_ROOT install_kde
%endif

rm -rf $RPM_BUILD_ROOT%{_docdir}/kde
install -d $RPM_BUILD_ROOT%{_docdir}/HTML/en
install -d $RPM_BUILD_ROOT%{_docdir}/HTML/es
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/wordtrans/de-en.dict
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/wordtrans/en-fr.txt
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/wordtrans/en-it.txt
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/wordtrans/en-la.txt
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/wordtrans/en-pt.txt
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/wordtrans/en-es.txt

# Remove the sample 50 word dictionary (useless), throw in some good ones
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/wordtrans/d2e.conf $RPM_BUILD_ROOT%{_datadir}/wordtrans/de-es.dict $RPM_BUILD_ROOT%{_sysconfdir}/wordtrans/i2e.conf

for i in fr it pt es; do # Add la when it works
	cat >$RPM_BUILD_ROOT%{_sysconfdir}/wordtrans/en-$i.conf <<EOF
[General]
alias = en-$i
separador = "\t"
utf8 = false
idioma1 = English
idioma2 = @N_$i@
[Diccionarios]
general = %{_datadir}/wordtrans/en-$i.txt
personal = .wordtrans/en-$i.dict
[Opciones]
busqueda_inversa = true
case_sensitive = false
palabras_completas = true
[Iconos]
idioma1 = /usr/share/wordtrans/flags/english.png
idioma2 = /usr/share/wordtrans/flags/@f_$i@.png
[Descripcion]
lineas = 1
linea0 = <h2>An English-@N_$i@ Dictionary</h2>
EOF
done
perl -pi -e "s,\@N_fr\@,French,g;s,\@f_fr\@,france,g;s,\@N_it\@,Italian,g;s,\@f_it\@,italy,g;s,\@N_la\@,Latin,g;s,\@f_la\@,,g;s,\@N_pt\@,Portuguese,g;s,\@f_pt\@,portug,g;s,\@N_es\@,Spanish,g;s,\@f_es\@,spain,g" $RPM_BUILD_ROOT%{_sysconfdir}/wordtrans/*.conf

cd $RPM_BUILD_ROOT%{_docdir}/HTML/en/
ln -s ../../wordtrans-doc/html.en kwordtrans
cd $RPM_BUILD_ROOT%{_docdir}/HTML/es/
ln -s ../../wordtrans-doc/html.es kwordtrans
rm -f $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.en/html.en \
      $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.en/next.png \
      $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.en/prev.png \
      $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.en/toc.png \
      $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.es/html.es
cp -f $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.es/*.png \
      $RPM_BUILD_ROOT%{_docdir}/wordtrans-doc/html.en

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/wordtrans
%config(noreplace) /etc/wordtrans/*.conf
%{_bindir}/wordtrans
%{_datadir}/wordtrans
%{_mandir}/man1/wordtrans.1*
%{_docdir}/wordtrans-doc
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/wordtrans.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/wordtrans.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/wordtrans.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/wordtrans.mo
%lang(es) %{_mandir}/es/man1/wordtrans.1*

%files qt
%defattr(-,root,root)
%{_bindir}/qwordtrans
%{_datadir}/applnk/Utilities/qwordtrans.desktop
%{_datadir}/icons/qwordtrans.*
%lang(es) %{_mandir}/es/man1/qwordtrans.1*
%{_mandir}/man1/qwordtrans.1*

%if %{kde}
%files kde
%defattr(-,root,root)
%{_bindir}/kwordtrans
%{_datadir}/icons/kwordtrans.xpm
%{_datadir}/applnk/Utilities/kwordtrans.desktop
%{_datadir}/icons/*/*/apps/*
%{_datadir}/icons/kwordtrans.*
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/kwordtrans.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/kwordtrans.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/kwordtrans.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/kwordtrans.mo
%lang(es) %{_mandir}/es/man1/kwordtrans.1*
%{_mandir}/man1/kwordtrans.1*
%doc %{_docdir}/HTML/en/kwordtrans
%lang(es) %doc %{_docdir}/HTML/es/kwordtrans
%endif

%files web
%defattr(-,root,root)
/var/www/html/wordtrans

%changelog
* Tue Apr 16 2002 Than Ngo <than@redhat.com> 1.1pr8-10
- rebuild

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.1pre8-9
- Rebuild with correct (threaded) Qt
- Fix up default settings

* Tue Apr 9 2002 Than Ngo <than@redhat.com> 1.1pre8-8
- remove duplicate file (bug #62756)

* Tue Apr 2 2002 Than  Ngo <than@redhat.com> 1.1pre8-7
- fix Dangling symlinks (#62557)

* Sun Mar 24 2002 Than  Ngo <than@redhat.com> 1.1pre8-6
- fix bug # 61515

* Tue Mar  6 2002 Than  Ngo <than@redhat.com> 1.1pre8-5
- add wordtrans-1.1pre8-kde3.patch from bero
- fix a cosmetic bug

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.1pre8-4
- rebuild

* Fri Jan 18 2002 Than Ngo <than@redhat.com> 1.1pre8-3
- rebuild against qt 3

* Wed Jan  9 2002 Than Ngo <than@redhat.com> 1.1pre8-1
- update to 1.1pre8
- build against qt 3
- clean up patch file for 1.1pre8

* Mon Nov 27 2001 Than Ngo <than@redhat.com> 1.1pre7-1
- update to 1.1pre7
- clean up patch file for 1.1pre7

* Fri Nov 09 2001 Than Ngo <than@redhat.com> 1.0.2pre4-1
- initial rpm for RHL 8.0
